ubuntu-bug/apport-cli offers to save a report for later, but always fails to do so

Bug #353253 reported by Steve Beattie on 2009-04-01
42
This bug affects 5 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Undecided
Martin Pitt
Jaunty
High
Unassigned

Bug Description

Binary package hint: apport

Running apport-cli -f -p [package], one is presented with the following menu:

  What would you like to do? Your options are:
    S: Send report (47.5 KiB)
    V: View report
    K: Keep report file for sending later or copying to somewhere else
    C: Cancel
  Please choose (S/V/K/C):

However, every time I've selected 'K' for keep for later, the following is returned:

  Problem report file: None

and there's no report file to be found.

Note that this specific use case, of collecting a bug report on one system and reporting it via another system, is the major use case for apport on ubuntu-server.

ProblemType: Bug
ApportLog:

Architecture: amd64
CrashReports: 600:1000:1000:387425:2009-03-31 02:47:57.000000000 -0700:2009-03-31 02:48:01.000000000 -0700:/var/crash/_usr_bin_xfce4-settings-helper.1000.crash
DistroRelease: Ubuntu 9.04
Package: apport 0.147
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=bash
SourcePackage: apport
Uname: Linux 2.6.28-11-server x86_64

Steve Beattie (sbeattie) wrote :
Martin Pitt (pitti) on 2009-04-01
Changed in apport (Ubuntu):
assignee: nobody → pitti
status: New → Triaged
shemgp (shemgp) wrote :

Here's a patch to save the values of the 'details' variable.
This is from
apport:
  Installed: 1.0-0ubuntu5.2
  Candidate: 1.0-0ubuntu5.2

Martin Pitt (pitti) wrote :

shempgp, thanks. The patch needs to be refined a bit, since for crashes we already have the file on disk. For bug reports this is mostly useful if you want to report the problem from a machine without internet/browser for getting to LP.

Martin Pitt (pitti) wrote :

Fixed in trunk r1444.

Changed in apport (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.2.1-0ubuntu2

---------------
apport (1.2.1-0ubuntu2) karmic; urgency=low

  * debian/control: Update Vcs-Bzr: for new location (moved from project
    branch to package branch).
  * Merge bug fixes from trunk:
    - apport-cli: Fix report saving in "bug report" mode. (LP: #353253)
    - Drop "UnsupportableReason" field, it is too similar to
      UnreportableReason and just confusing.
    - ui.py: Check UnreportableReason for run_report_bug() as well.
      (LP: #361359)
    - general-hooks/generic.py: Do not report problems with low free space on
      / or /home. (LP: #381047)
    - launchpad.py: Do not overwrite report['Title'].
    - launchpad.py: Repair support for extra tags.
    - New function apport.hookutils.root_command_output() to run a command as
      root, through gksu/kdesudo/sudo, depending on the desktop environment.
      (Part of UbuntuSpec:desktop-karmic-symptom-based-bug-reporting)
    - launchpad.py: Fetch DpkgTerminalLog. (LP: #382589)
    - launchpad.py: More robust download(), fixes other part of (LP: #382589)
    - problem_report.py: Allow dashes and underscores in key names. Update
      doc/data-format.tex accordingly. (LP: #380811)

 -- Martin Pitt <email address hidden> Tue, 02 Jun 2009 11:59:41 +0200

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

Attached is a debdiff for jaunty that will resolve this bug and bug 401983. I think this is important to have SRUed for Jaunty with the +filebug changes happening on Launchpad.

Changed in apport (Ubuntu Jaunty):
status: New → Triaged
importance: Undecided → High
Martin Pitt (pitti) wrote :

Accepted apport into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in apport (Ubuntu Jaunty):
status: Triaged → Fix Committed
tags: added: verification-needed
Steve Beattie (sbeattie) wrote :

I have reproduced the failure to save behavior in apport from jaunty-updates, 1.0-0ubuntu5.2, and verified that the version in jaunty-proposed, 1.0-0ubuntu5.3, saves reports and that the apport-{gtk,cli} commands upload the saved files. Crash catching and other bug reporting continues to work with the jaunty-proposed version. Marking verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.0-0ubuntu5.4

---------------
apport (1.0-0ubuntu5.4) jaunty-proposed; urgency=low

  * ubuntu-bug: Fix handling of .crash file arguments, to make the previous
    SRU actually work in a sensible manner. Patch backported from upstream
    version 1.8.1 (trunk r1506). (LP: #422881)

apport (1.0-0ubuntu5.3) jaunty-proposed; urgency=low

  * Backporting of two patches to improve offline bug filing
    - apport-cli: Fix report saving in "bug report" mode. (LP: #353253)
    - apport-cli: Save reports with .apport extension instead of .txt. Thanks
      to Steve Beattie! (LP: #401983)

 -- Martin Pitt <email address hidden> Fri, 25 Sep 2009 09:19:38 +0200

Changed in apport (Ubuntu Jaunty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints